Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement

## Class required_element_missingCodeActionResolver

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement.required_element_missingCodeActionResolver

All Implemented Interfaces:
  `ICodeActionResolvesParticipant`

    public class required_element_missingCodeActionResolver
    extends Object
    implements ICodeActionResolvesParticipant

CodeAction resolver used to generate missing element content

### Field Summary

Fields
`static String` `PARTICIPANT_ID`

### Constructor Summary

Constructors
`required_element_missingCodeActionResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.CodeAction` `resolveCodeAction​(ICodeActionResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARTICIPANT_ID

    public static final String PARTICIPANT_ID

### Constructor Detail

#### required_element_missingCodeActionResolver

    public required_element_missingCodeActionResolver()

### Method Detail

#### resolveCodeAction

    public org.eclipse.lsp4j.CodeAction resolveCodeAction​(ICodeActionResolverRequest request,
                                                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionResolvesParticipant`
Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

Specified by:
  `resolveCodeAction` in interface `ICodeActionResolvesParticipant`
Parameters:
  `request` - the resolve code action request.
  `cancelChecker` - the cancel checker.
Returns:
  the resolved codeAction coming from the unresolved codeAction of the given `request`.